SAP Knowledge Base Article - Preview

1723342 - Data Services 4.1 Upgrade Scenarios

Symptom

When you install Data Services 4.1 on top of an existing Data Services (DS) 4.0 installation, you must upgrade SAP BusinessObjects Business Intelligence platform (BI platform) or Information platform services (IPS) and Data Services in the sequence of the following recommended scenarios.

Notes:

  • Data Services works with both SAP BusinessObjects Business Intelligence platform (BI platform) and Information platform services (IPS). Therefore, you can replace BI platform with IPS anywhere in this document.

Recommended installation scenarios (“+” means install, “-“means uninstall):

Scenario 1: BI 4.0 SP2 + DS 4.0 SP2 - DS 4.0 SP2 + BI 4.0 FP3 + DS 4.1

Known issues:

  • On Linux/Unix, if EIMAdaptiveProcessingServer fails to starts after installing DS 4.1, you can apply the following workaround.

Modify the command line in “CMC --> Servers --> EIMAdaptiveProcessingServer --> Properties page”

From: -XX:+ExitVMOnOutOfMemoryError=%JVM_IGNORE_CONSOLE_EVENTS%

To:  -XX:+ExitVMOnOutOfMemoryError

Scenario 2: BI 4.0 SP2 + DS 4.0 SP2 + BI 4.0 FP3 + DS 4.1 

Known issues:

  • After installing BI FP3, Data Services 4.0 SP2 will not function automatically. For example, the Data Services link from the CMC is broken. You must continue to install DS 4.1 to synchronize with BI 4.0 FP3.
  • On AIX, this scenario is not recommended due to a library conflict between BI FP2 and DS SP2.

Scenario 3: BI 4.0 FP3 + BI patch 3.4 + DS 4.1


Read more...

Product

SAP Data Services 4.1

Keywords

BODS, DS, upgrade Scenarios, DS4.1, installation, Windows, Linux, AIX , KBA , EIM-DS , Data Services (Use Subcomponent) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.